package com.example.modular.warsaw.components;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;

/**
 * Warsaw time zone panel.
 * 
 * @author Krzysztof Smigielski
 */
public class WarsawPanel extends Panel {

    private static final long serialVersionUID = -6790664465595859698L;

    /**
     * Default constructor.
     * 
     * @param pWicketId Wicket component id.
     */
    public WarsawPanel(String pWicketId) {
        super(pWicketId);
        add(new Label("header", "Warsaw time zone page"));
        add(new TimeZoneLink("tzLink", "Europe/Warsaw"));
    }

}
