package com.example.modular.warsaw.pages;

import org.wicketstuff.annotation.mount.MountPath;

import com.example.modular.warsaw.components.WarsawPanel;

/**
 * Warsaw time zone page. This page is mounted using 'warsaw' as path.
 * 
 * @author Krzysztof Smigielski
 */
@MountPath(path = "warsaw")
public class WarsawPage extends BasePage {

    /**
     * Default constructor. Adds Warsaw panel to the page.
     */
    public WarsawPage() {
        add(new WarsawPanel("panel"));
    }

}
